summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorIvan Zenin2018-03-25 18:29:45 +0300
committerIvan Zenin2018-03-25 18:29:45 +0300
commitb4fff1f90e1c367661839f8f113c40fcc56d3413 (patch)
treec6aece3e9ac69f2a27ec2a8725b386b5c549a049 /PKGBUILD
downloadaur-lz4json-git.tar.gz
Initial commit
Diffstat (limited to 'PKGBUILD')
-rwxr-xr-xPKGBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..b8b137e5526
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Ivan Zenin <i.zenin@gmx.com>
+
+pkgname=lz4json-git
+pkgver=latest
+pkgrel=1
+pkgdesc="C decompress tool for mozilla lz4json format (development version)"
+arch=('i686' 'x86_64')
+url="https://github.com/andikleen/lz4json"
+depends=("lz4")
+provides=('lz4json')
+makedepends=('git')
+source=("git+git://github.com/andikleen/lz4json.git")
+md5sums=('SKIP')
+
+pkgver() {
+ cd "${srcdir}"/lz4json
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "${srcdir}"/lz4json
+ make lz4jsoncat
+ install -Dm755 lz4jsoncat "${pkgdir}/usr/bin/lz4jsoncat"
+ find "${pkgdir}" -type d -name .git -exec rm -r '{}' +
+}